Module | BinaryReader
In: | lib/facets/more/binaryreader.rb

# BinaryReader

This mixin solely depends on method read(n), which must be defined in the class/module where you mix in this module.

### Methods

byte_order byte_order= byteorder byteorder= read_cstring read_int16_big read_int16_little read_int16_native read_int32_big read_int32_little read_int32_native read_int8 read_uint8 read_word16_big read_word16_little read_word16_native read_word32_big read_word32_little read_word32_native read_word8 readn

### Classes and Modules

Module BinaryReader::ByteOrder

### Public Instance methods

byte_order()

default is native byte-order

byte_order=(new_byteorder)
byteorder()

Alias for byte_order

byteorder=(new_byteorder)

Alias for byte_order=

read_cstring()
read_int16_big()
read_int16_little()
read_int16_native()

### Signed

read_int32_big()
read_int32_little()
read_int32_native()

### Signed

read_int8()
read_uint8()

Alias for read_word8

read_word16_big()
read_word16_little()
read_word16_native()

### Unsigned

read_word32_big()
read_word32_little()
read_word32_native()

### Unsigned

read_word8()

no byteorder for 8 bit!

readn(n)

read exactly n characters, otherwise raise an exception.

[Validate]